Package Details: docker-git 1:r39078.b5ea9abf25-1

Git Clone URL: https://aur.archlinux.org/docker-git.git (read-only, click to copy)
Package Base: docker-git
Description: Pack, ship and run any application as a lightweight container.
Upstream URL: https://github.com/docker/docker
Keywords: cgroups containers
Licenses: Apache License Version 2.0
Conflicts: containerd, containerd-git, docker, runc, runc-git
Provides: docker
Replaces: containerd, containerd-git, docker, runc, runc-git
Submitter: ido
Maintainer: flaccid
Last Packager: flaccid
Votes: 46
Popularity: 0.000102
First Submitted: 2013-12-05 18:13
Last Updated: 2020-11-08 09:47

Required by (147)

Sources (7)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

mngroon commented on 2021-04-27 15:34

Fails to build with error: --> no required module provides package github.com/docker/libnetwork/cmd/proxy: go.mod file not found in current directory or any parent directory; see 'go help modules' ==> ERROR: A failure occurred in build().

dr460nf1r3 commented on 2021-02-23 19:40

Fails to compile with -> building docker-proxy no required module provides package github.com/docker/libnetwork/cmd/proxy: working directory is not part of a module

carsonreinke commented on 2021-01-08 18:37

Anybody know why the docker-cli is locked on an old version 17.06.0? That version is missing docker login --password-stdin. I just updated and built locally without any problem.

flaccid commented on 2020-11-08 09:48

@frebib to save the need for that, i've kept it local by exporting the locally used GOPATH in each stage, it was needed in package(). Tested ok for me, but hopefully this solved the issue permanently.

frebib commented on 2020-11-05 16:34

Came here so say that I'm having the same problem as mikeccuk2005. It's preferring my global GOPATH instead of the one set in the prepare function. Copying the export GOPATH=... line to the top of the build function fixes it and I'm able to build

flaccid commented on 2020-10-22 01:50

@mikeccuk2005 local problem for you. Can't replicate, yay.

mikeccuk2005 commented on 2020-10-21 14:17

==> Starting build()... -> building runc ln: failed to create symbolic link '/src/github.com/opencontainers/': No such file or directory

not sure why it is asking for this directory

cd .cache/yay/docker-git/src/

containerd/ docker-ce/ docker.install go/ libnetwork/ moby/ runc/ tini/

here is the runc in .cache is totally different path

edit:

export GOPATH=$HOME/.cache/yay/docker-git/src/go

This fixes build problems

flaccid commented on 2020-07-13 09:47

@Nullrequest as mentioned, just submit a patch as afaik we don't have a pull request feature.

Nullrequest commented on 2020-07-13 09:33

@fflaccid would you mind adding the nftables support moby has. Moby is way ahead of docker with nftables and cgroups v2. Atleast nftables support would be nice

flaccid commented on 2020-07-13 07:21

@Nullrequest it does use moby and the docker cli. Happy to review patches to the PKGBUILD etc.